Name:      uio-print-utils
Version:   0.8
Release:   3%{?dist}
Summary:   Print utilities for UiO

Group:     System Environment/Base
License:   GPLv3+
URL:       http://www.uio.no/tjenester/it/utskrift/

Source0:   uioprint.sh
Source1:   pullprint
Source2:   pushprint
Source3:   pullprint.1.xml
Source4:   pushprint.1.xml

BuildArch: noarch

%if 0%{?rhel} <= 6
Requires:  cups
%else
Requires:  cups-client
%endif
Requires:  samba-client
Requires:  paps
Requires:  ghostscript
Requires:  krb5-workstation
Requires:  poppler-utils

BuildRequires: libxml2
BuildRequires: libxslt
BuildRequires: xml-common
BuildRequires: docbook-style-xsl

%description
This package contains various printing utilities for UiO.

%prep
%setup -q -c -T
install -p -m 0644 %{SOURCE3} .
install -p -m 0644 %{SOURCE4} .

%build
DOCBOOK_XSLT=http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
XSLTPROC=/usr/bin/xsltproc
XSLTPROC_FLAGS='--catalogs --xinclude --nonet --stringparam profile.condition "with_false"'
XMLLINT=/usr/bin/xmllint
XMLLINT_FLAGS='--catalogs --postvalid --nonet --xinclude --noout'
export SGML_CATALOG_FILES=/etc/xml/catalog
for m in pullprint pushprint; do
    $XMLLINT $XMLLINT_FLAGS $m.1.xml && \
        $XSLTPROC -o $m.1 $XSLTPROC_FLAGS $DOCBOOK_XSLT $m.1.xml
done

%install
install -d -m 0755 %{buildroot}%{_libexecdir}/%{name}
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -p -m 0755 %{SOURCE0} %{buildroot}%{_libexecdir}/%{name}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}
install -p -m 0644 pushprint.1 pullprint.1 %{buildroot}%{_mandir}/man1

%files
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/uioprint.sh
%{_bindir}/pullprint
%{_bindir}/pushprint
%{_mandir}/man1/pullprint.1*
%{_mandir}/man1/pushprint.1*

%changelog
* Wed Feb 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-3
- Add fix for ASCII text

* Wed Feb 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-2
- Add new encoding option to man pages

* Wed Feb 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.8-1
- Use paps instead of a2ps for text files. Patch from H.P.Verne

* Mon Dec  5 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.7-1
- Make "ricoh" the default pullprint queue

* Mon Dec  5 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.6-1
- Convert UTF-8 to latin-1 before a2ps. Patch from H.P.Verne

* Mon Sep 19 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.5-1
- Add dryrun option
- Set proper title via lpr for pullprint jobs

* Mon May 30 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.4-1
- Enable duplex printing for PDFs by switching from pdf2ps to pdftops
- Enable duplex printing for text files with option to a2ps
- Require poppler-utils for pdftops

* Mon Apr 11 2016 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- Correctly handle file names that contain spaces

* Wed Oct 28 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- New build with all the latest minor fixes

* Tue Oct 27 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-2
- Fix broken dependency on rhel6

* Tue Oct 27 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial build
